using System;
using Itgmbh.Elvis.CustomBehaviour;

[ActiveItem]
public class Dimmen
{
    // Inputs
	[Input(IsCommand=true)]
    public int SceneInput { get; set; }
    [Input(IsCommand=true)]
    public int DimmUp { get; set; }
	[Input(IsCommand=true)]
	public int DimmDown { get; set; }

    // Outputs
    [Output]
    public int DimmValue { get; set; }

    // Optional: Initialization/Termination
    // public void Control(ICustomItemCallContext context)
    // {
    // }

    // Script Body
    public void Execute(ICustomItemCallContext context)
    {
		if (context.ChangedInputName== "SceneInput")
		{
			DimmValue = SceneInput;
		}
		else if (context.ChangedInputName == "DimmUp")
		{
			if (DimmValue > 95)
				DimmValue = 100;
			else 
				DimmValue += 5;
		}
			else if (context.ChangedInputName == "DimmDown")
			{
				if (DimmValue < 5)
					DimmValue = 0;
				else 
					DimmValue -= 5;
			}
    }
}
