using System;
using Itgmbh.Elvis.CustomBehaviour;

[ActiveItem]
public class Temperature
{
	public Temperature()
	{
		Output = 18.0;
	}

	// Inputs
    [Input(IsCommand=true)]
    public bool SceneInput { get; set; }

    [Input(IsCommand=true)]
    public bool InputUp { get; set; }
	[Input(IsCommand=true)]
    public bool InputDown { get; set; }

    // Outputs
    [Output,Persistent]
    public double Output { get; set; }

    // Optional: Initialization/Termination
    // public void Control(ICustomItemCallContext context)
    // {
    // }

    // Script Body
    public void Execute(ICustomItemCallContext context)
    {
		
			if (context.ChangedInputName == "InputUp")
			{
				Output += 0.5;
			
			}
				else if (context.ChangedInputName == "InputDown")
				{
					Output -= 0.5;
				}
    }
}

